
# -- public

- classname: _dataview
  keyname: sirene_public_default
  target_class: sirene_public
  displayname: Default
  is_enabled: true
  description: Default DataView for Sirene Public Pages
  content: |
    columns:
       - keyname
       - Severity:
            from: severity
       - displayname
       - Description:
            from: description
       - Default:
            from: is_default


# -- template 

- classname: _dataview
  keyname: sirene_template_default
  target_class: sirene_template
  displayname: Default
  is_enabled: true
  description: Default DataView for Sirene Templates
  content: |
    columns:
       - keyname
       - displayname
       - Category:
            from: category
       - Severity:
            from: severity
       - Hint:
            from: hint


# -- message

- classname: _dataview
  keyname: sirene_message_default
  target_class: sirene_message
  displayname: Default
  is_enabled: true
  description: Default DataView for Sirene Messages
  content: |
    columns:
       - keyname
       - displayname
       - Active:
            from: is_visible
       - Category:
            from: category
       - Severity:
            from: severity
       - Description:
            from: description